/*
 * Copyright (c) 2011, 2020 Oracle and/or its affiliates. All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0,
 * or the Eclipse Distribution License v. 1.0 which is available at
 * http://www.eclipse.org/org/documents/edl-v10.php.
 *
 * SPDX-License-Identifier: EPL-2.0 OR BSD-3-Clause
 */

// Contributors:
// dmccann - January 11/2010 - 2.0 - Initial implementation
package org.eclipse.persistence.testing.jaxb.externalizedmetadata.xmlenum;

@jakarta.xml.bind.annotation.XmlRootElement(name="hand")
public class Game {
    public Card card;
    public Coin coin;

    public boolean equals(Object obj) {
        Game gObj;
        try {
            gObj = (Game) obj;
        } catch (ClassCastException cce) {
            return false;
        }
        if (card.compareTo(gObj.card) != 0) {
            return false;
        }
        if (coin.compareTo(gObj.coin) != 0) {
            return false;
        }
        return true;
    }
}
